# $Revision: 1.28 $, $Date: 2002/10/30 07:49:52 $
Summary:    	Analyzes system logs 
Summary(pl): 	Logwatch - analizator logw systemowych
Name:        	logwatch
Version:     	4.2.1
Release:     	1
License:   	MIT
Group:       	Applications/System
Source:      	ftp://ftp.logwatch.org/pub/linux/%{name}-%{version}.tar.gz
URL:		http://www.logwatch.org/
Requires:    	perl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Buildarch:   	noarch

%description
LogWatch is a customizable, pluggable log-monitoring system.  It will go
through your logs for a given period of time and make a report in the areas
that you wish with the detail that you wish.  Easy to use - works right out
of the package on almost all systems.

%description -l pl
Pakiet zawiera logwatch - program przeznaczony do automatycznego analizowania
logw systemowych i przesyaniu ich po wstpnjej obrbce poczt elektroniczn
do administratora systemu. Logwatch jest atwy w uyciu i moze pracowa na
wikszoci systemw.

%prep
%setup -q

%build
for i in scripts/{shared/{onlycontains,remove},services/zz-fortune}; do
	mv -f $i $i.
	sed -e s/bash/sh/ $i. > $i
	rm -f $i.
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/log.d/ \
	$RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT/etc/cron.daily 

cp -a scripts $RPM_BUILD_ROOT/etc/log.d/
cp -a conf $RPM_BUILD_ROOT/etc/log.d/

install logwatch.8 $RPM_BUILD_ROOT%{_mandir}/man8

ln -sf /etc/log.d/scripts/logwatch.pl $RPM_BUILD_ROOT/etc/log.d/logwatch 
ln -sf /etc/log.d/conf/logwatch.conf $RPM_BUILD_ROOT/etc/log.d/logwatch.conf 
ln -sf /etc/log.d/scripts/logwatch.pl $RPM_BUILD_ROOT/etc/cron.daily/00-logwatch 
ln -sf /etc/log.d/scripts/logwatch.pl $RPM_BUILD_ROOT%{_sbindir}/logwatch 


%post
echo
echo "You should take a look at /etc/log.d/logwatch.conf..."
echo "Especially the Detail entry..."
echo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc  README

%attr(700,root,root) %dir /etc/log.d
%attr(700,root,root) %dir /etc/log.d/conf
%attr(700,root,root) %dir /etc/log.d/scripts

%attr(700,root,root) %dir /etc/log.d/conf/logfiles
%attr(700,root,root) %dir /etc/log.d/conf/services

%attr(700,root,root) %dir /etc/log.d/scripts/logfiles
%attr(700,root,root) %dir /etc/log.d/scripts/services
%attr(700,root,root) %dir /etc/log.d/scripts/shared

%attr(700,root,root) %dir /etc/log.d/scripts/logfiles/*

%attr(600,root,root) %config(noreplace) %verify(not size mtime md5) /etc/log.d/conf/logwatch.conf
%attr(600,root,root) %config(noreplace) %verify(not size mtime md5) /etc/log.d/logwatch.conf

%attr(600,root,root) %config %verify(not size mtime md5) /etc/log.d/conf/services/*
%attr(600,root,root) %config %verify(not size mtime md5) /etc/log.d/conf/logfiles/*

%attr(700,root,root) /etc/log.d/scripts/logwatch.pl
%attr(700,root,root) %{_sbindir}/logwatch

%attr(700,root,root) /etc/log.d/scripts/shared/*
%attr(700,root,root) /etc/log.d/scripts/services/*
%attr(700,root,root) /etc/log.d/scripts/logfiles/*/*

%attr(700,root,root) /etc/log.d/logwatch

%attr(700,root,root) /etc/cron.daily/00-logwatch
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: logwatch.spec,v $
Revision 1.28  2002/10/30 07:49:52  blues
- 4.2.1 - STBR

Revision 1.27  2002/06/30 18:14:34  blues
- 3.3 (more filters, few fixes)
STBR

Revision 1.26  2002/06/18 10:00:43  blues
- 3.2 (many bugfixes, few new features)
STBR

Revision 1.25  2002/05/23 14:13:12  pioklo
- up to 3.1, new %%doc

Revision 1.24  2002/05/05 13:36:06  kloczek
- License changed to MIT.

Revision 1.23  2002/05/05 12:59:40  blues
- 3.0 (new filters, some updated)

Revision 1.22  2002/04/28 12:34:12  blues
- 2.9 (more rules added)
- URL added
- mktemp patch commented out - it's empty...
STBR

Revision 1.21  2002/04/19 12:09:58  pioklo

- up to 2.8.5, STBR

Revision 1.20  2002/04/10 11:05:23  lukasz
- 2.8

Revision 1.19  2002/04/05 14:55:45  pioklo
-up to 2.7,STBR

Revision 1.18  2002/04/04 07:59:56  kloczek
- merge mktemp rawhide patch.

Revision 1.17  2002/04/04 07:47:07  qboosh
- SECURITY update to 2.6 (one more exploitable tmp race)
- fixed group

Revision 1.16  2002/03/28 10:24:22  lukasz
- Released 0.1->1

Revision 1.15  2002/03/28 10:15:39  lukasz
- 2.5 (This release fixes a root exploit using a race condition in /tmp)

Revision 1.14  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:13:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/09/23 13:08:45  orzech
- group{pl,de} in logwatch.spec
- s/Copyright/License/ - both

Revision 1.11  2000/10/04 01:23:52  kloczek
- use rpm new automation suit.

Revision 1.10  2000/10/03 11:20:43  wiget
2.1.1

Revision 1.9  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.7  1999/07/13 22:34:43  kloczek
- scripts/shared/{onlycontains,remove} are also POSIX sh scripts.

Revision 1.6  1999/07/13 22:24:44  kloczek
- scripts/services/zz-fortune is clean POSIX sh csript (no bash).

Revision 1.5  1999/07/13 22:17:45  kloczek
- %%clean before %%files.

Revision 1.4  1999/07/13 22:09:56  wiget
updated to 1.6.6

Revision 1.3  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Sep 12 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
[1.1-2]
- build against PLD,
- added buildroot suport,
- translation modified for pl,
- fixed files permissions,
- build from non root's account,
- made a noarch package,
- minor changes of spec file.

* Sun Feb 23 1998 Kirk Bauer <kirk@kaybee.org>
- Minor changes and addition of man-page

* Sun Feb 22 1998 Kirk Bauer <kirk@kaybee.org>
- initial release
